package com.bonus.canteen.core.supply.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.bonus.canteen.core.supply.domain.DrpSupplierDeliver;
import com.bonus.canteen.core.supply.dto.DrpSupplierDeliverAddDTO;
import com.bonus.canteen.core.supply.dto.DrpSupplierDeliverDTO;
import com.bonus.canteen.core.supply.dto.DrpSupplierDeliverDeleteDTO;
import com.bonus.canteen.core.supply.dto.DrpSupplierDeliverEditDTO;

import java.util.List;

public interface DrpSupplierDeliverService {
   List<DrpSupplierDeliver> page(DrpSupplierDeliverDTO content);

   void add(DrpSupplierDeliverAddDTO content);

   void edit(DrpSupplierDeliverEditDTO content);

   void remove(DrpSupplierDeliverDeleteDTO content);
}
